### Class

# Gcr CertificateExtensionExtendedKeyUsage

unstable since: 4.3.90

#### Description [src]

    final class Gcr.CertificateExtensionExtendedKeyUsage : Gcr.CertificateExtension
    {
      /* No available fields */
    }

A certificate extension that can be used to restrict an extended set of usages of a given certificate.

Similar to `GcrCertificateExtensionKeyUsage`, this extension defined an additional set of purposes for which this certificate may be used.

Available since: 4.3.90

#### Ancestors

- GcrCertificateExtension
- GObject

#### Instance methods

###### gcr_certificate_extension_extended_key_usage_get_descriptions

Returns a user-friendly list of description of the key usages.

###### gcr_certificate_extension_extended_key_usage_get_oids

Returns the list of OIDs of the extended key usages.

##### Methods inherited from GcrCertificateExtension (4)

###### gcr_certificate_extension_get_description

Returns a user-displayable description of the OID that identifies the extension, if known.

unstable since: 4.3.90

###### gcr_certificate_extension_get_oid

Returns the OID that identifies the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_get_value

Returns the raw value in bytes of the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_is_critical

Returns wether the certificate extension is marked critical.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GcrCertificateExtension (3)

###### Gcr.CertificateExtension:critical

Whether this certificate is critical.

###### Gcr.CertificateExtension:oid

The Object Identifier (OID) that identifies the extension.

###### Gcr.CertificateExtension:value

The raw value in bytes of the extension.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrCertificateExtensionExtendedKeyUsageClass {
      GcrCertificateExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: GcrCertificateExtensionClass`

  No description available.